using Microsoft.Extensions.DependencyInjection;
using QuestPDF.Infrastructure;

namespace Hotline.Pdf;

public static class QuestPdfManagerStartupExtensions
{
    public static IServiceCollection AddPdfManager(this IServiceCollection services)
    {
        services.AddSingleton<IPdfManager, QuestPdfManager>();

        QuestPDF.Settings.License = LicenseType.Community;

        return services;
    }
}